%define anolis_release 8

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

# Similarly, for package note feature
%undefine _package_note_file

Name:		perl-Test-Synopsis
Version:	0.17
Release:	%{anolis_release}%{?dist}
Summary:	Test your SYNOPSIS code
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Test-Synopsis
Source0:	https://cpan.metacpan.org/modules/by-module/Test/Test-Synopsis-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(parent)
BuildRequires:	perl(Pod::Simple) >= 3.09
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder::Module)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(blib)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::Builder) >= 0.34
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(Test::Builder::Module)

%description
Test::Synopsis is an (author) test module to find .pm or .pod files under your
lib directory and then make sure the example snippet code in your SYNOPSIS
section passes the perl compile check.

Note that this module only checks the perl syntax (by wrapping the code with
sub) and doesn't actually run the code.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Test-Synopsis-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Synopsis.3*

%files doc
%doc Changes README README.md

%changelog
* Wed Feb 8 2023 Funda Wang <fundawang@yeah.net> - 0.17-8
- Build without bootstrap

* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 0.17-7
- Import package for anolis 23
